ARARA(1)

NAME
arara - a TeX automation tool based on rules and directives.

SYNOPSIS
arara [options] documents...

DESCRIPTION
arara is a TeX automation tool based on rules and directives. It gives you a way to enhance your TeX experience. The tool is an effort to provide a concise way to automate the daily TeX workflow for users and also package writers. Users might write their own rules when the provided ones do not suffice.

arara takes a list of documents as input. They will be processed according to their directives. Options apply to the execution of all documents.

OPTIONS

--log
    Generate a log output.

--verbose
    Print or suppress command output.

--dry-run
    Go through all the motions of running a command but with no actual calls.

--safe-run
    Run in safe mode and disable potentially harmful features.

--header
    Extract directives only in the file header.

--preamble
    Set the file preamble as named based on the configuration file.

--timeout
    Sets an execution timeout for spawned processes.

--language
    Set the localization to the language specified by code.

--max-loops
    Set the number > 0 of loops for looping directives.

--working-directory
    Set the working directory for the whole execution.

--call-property
    Pass a property as key=value parameter into the application to be used within the session.

--version
    Show the version and exit.

--help
    Show a help message and exit.

BUGS
Issue tracker at https://gitlab.com/islandoftex/arara/-/issues.